/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package exemplo15;

import JPlay.Animation;
import JPlay.GameImage;
import JPlay.Keyboard;
import JPlay.Mouse;
import JPlay.Window;

/**
 * @author Gefersom Cardoso Lima
 * Universidade Federal Fluminense - UFF - Brasil - 2010
 * Ciência da Computação
 */

public class Main
{
    //Criando um botão
    public static void main(String[] args)
    {
            Window janela = new Window(800,600);
            Keyboard keyboard = janela.getKeyboard();
            Mouse mouse = janela.getMouse();

            GameImage backGround = new GameImage("fundo.png");

            //Animação a ser usada, ao clicar no botão a animação irá começar a rodar
            Animation botao = new Animation("botao.png",12);

            botao.setPosition(350,330);
            botao.setTimeChangeFrame(100);

            boolean executando = true;
            boolean clicouNoBotao = false;
            while(executando)
            {
                    backGround.draw();
                    botao.draw();
                    janela.display();

                    //Primeiro verifica se o mouse está sobre o objeto
                    //Depois se o botão esquerdo do mouse clicou
                    if (mouse.isOverObject(botao) && mouse.isLeftButtonPressed())
                        clicouNoBotao = true;

                    if (clicouNoBotao)
                        botao.runAnimation();

                    if (botao.isAnimationFinished())
                    {
                        clicouNoBotao = false;

                        //Reseta a animação ao seu estado inicial
                        botao.reset();
                    }

                    if ( keyboard.keyDown(Keyboard.ESCAPE_KEY) == true )
                         executando = false;
            }
            janela.exit();
    }
}
